"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const gui_1 = __importDefault(require("../gui"));
const api_1 = __importDefault(require("../gui/api"));
const index_1 = __importDefault(require("./index"));
// args: comander, config, hermione
exports.default = (program, pluginConfig, hermione) => {
    // must be executed here because it adds `gui` field in `gemini` and `hermione tool`,
    // which is available to other plugins and is an API for interacting with the current plugin
    const guiApi = new api_1.default(hermione);
    program
        .command(`${index_1.default.GUI} [paths...]`)
        .allowUnknownOption()
        .description('update the changed screenshots or gather them if they does not exist')
        .option('-p, --port <port>', 'Port to launch server on', 8000)
        .option('--hostname <hostname>', 'Hostname to launch server on', 'localhost')
        .option('-a, --auto-run', 'auto run immediately')
        .option('-O, --no-open', 'not to open a browser window after starting the server')
        .action((paths, options) => {
        gui_1.default({ paths, hermione, guiApi, configs: { options, program, pluginConfig } });
    });
};
