"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = __importDefault(require("./"));
const merge_reports_1 = __importDefault(require("../merge-reports"));
const server_utils_1 = require("../server-utils");
exports.default = (program, { path }) => {
    program
        .command(`${_1.default.MERGE_REPORTS} [paths...]`)
        .allowUnknownOption()
        .description('merge reports')
        .option('-d, --destination <destination>', 'path to directory with merged report', path)
        .action(async (paths, options) => {
        try {
            await merge_reports_1.default(paths, options);
        }
        catch (err) {
            server_utils_1.logError(err);
            process.exit(1);
        }
    });
};
