"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const json_stringify_safe_1 = __importDefault(require("json-stringify-safe"));
class EventSource {
    constructor() {
        this.connections = [];
    }
    addConnection(connection) {
        this.connections.push(connection);
    }
    emit(event, data) {
        this.connections.forEach((connection) => {
            connection.write(`event: ${event}\n`);
            connection.write(`data: ${json_stringify_safe_1.default(data)}\n`);
            connection.write('\n\n');
        });
    }
}
exports.default = EventSource;
