"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../utils");
const runner_1 = __importDefault(require("./runner"));
class SpecificTestRunner extends runner_1.default {
    constructor(collection, tests) {
        super(collection);
        this.tests = tests;
    }
    run(runHandler) {
        this.filter();
        return super.run(runHandler);
    }
    filter() {
        this.collection.disableAll();
        this.tests.forEach((test) => {
            this.collection.enableTest(utils_1.mkFullTitle(test), test.browserId);
        });
    }
}
exports.default = SpecificTestRunner;
