"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const opener_1 = __importDefault(require("opener"));
const server_utils_1 = require("../server-utils");
const server_1 = __importDefault(require("./server"));
exports.default = (args) => {
    server_1.default(args)
        .then(({ url }) => {
        server_utils_1.logger.log(`GUI is running at ${chalk_1.default.cyan(url)}`);
        if (args.configs.options.open) {
            opener_1.default(url);
        }
    })
        .catch((err) => {
        server_utils_1.logError(err);
        process.exit(1);
    });
};
