"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const report_builder_1 = __importDefault(require("./report-builder"));
const validateOpts = (srcPaths, destPath) => {
    if (!srcPaths.length) {
        throw new Error('Nothing to merge, no source reports are passed');
    }
    if (srcPaths.includes(destPath)) {
        throw new Error(`Destination report path: ${destPath}, exists in source report paths`);
    }
};
exports.default = async (srcPaths, { destination: destPath }) => {
    validateOpts(srcPaths, destPath);
    const reportBuilder = report_builder_1.default.create(srcPaths, destPath);
    await reportBuilder.build();
};
