"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = __importDefault(require("lodash"));
const test_statuses_1 = require("../constants/test-statuses");
const walk = (node, cb, fn) => {
    return node.browsers && fn(node.browsers, cb) || node.children && fn(node.children, cb) || [];
};
exports.getDataFrom = (node, { fieldName, fromFields }) => {
    if (!fromFields) {
        return [].concat(lodash_1.default.get(node, fieldName, []));
    }
    const { result = {}, retries = {} } = lodash_1.default.pick(node, fromFields);
    return lodash_1.default.isEmpty(result) && lodash_1.default.isEmpty(retries)
        ? walk(node, (n) => exports.getDataFrom(n, { fieldName, fromFields }), lodash_1.default.flatMap)
        : [].concat(lodash_1.default.get(result, fieldName, []), lodash_1.default.flatMap(retries, fieldName));
};
exports.getImagePaths = (node, fromFields) => {
    return lodash_1.default(exports.getDataFrom(node, { fromFields, fieldName: 'imagesInfo' }))
        .map((imageInfo) => lodash_1.default.pick(imageInfo, ['expectedPath', 'actualPath', 'diffPath']))
        .reject(lodash_1.default.isEmpty)
        .flatMap(lodash_1.default.values)
        .value();
};
exports.getStatNameForStatus = (status) => {
    const statusToStat = {
        [test_statuses_1.SUCCESS]: 'passed',
        [test_statuses_1.FAIL]: 'failed',
        [test_statuses_1.ERROR]: 'failed',
        [test_statuses_1.SKIPPED]: 'skipped',
    };
    return statusToStat[status];
};
